# -*- mode: RPM-SPEC; tab-width: 8; fill-column: 70; -*- 
# $Id: alterator-control.spec,v 1.9 2005/10/19 13:33:33 inger Exp $ 

%define _altdata_dir %_datadir/alterator
%define module control

Name: alterator-%module
Version: 0.1.2.2
Release: alt5

BuildArch:	noarch

Source:%name-%version.tar.bz2

Summary: alterator module for control package
License: GPL
Group: System/Configuration/Other
Requires: alterator > 1.99-alt33, control, consolehelper

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator consolehelper libpam-devel

%description
alterator module for control package

%prep
%setup -q

%build
%make_build

%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

%__install -Dpm644 %name.menu %buildroot/%_menudir/%name

#install consolehelper
obj=config-control
%__install -d %buildroot/%_bindir
%__ln_s %_libdir/helper/consolehelper %buildroot%_bindir/$obj
%__install -d %buildroot%_sysconfdir/pam.d/

cat>%buildroot%_sysconfdir/pam.d/$obj<<EOF
#%PAM-1.0
auth	sufficient	pam_rootok.so
auth	required	pam_stack.so service=system-auth
account	required	pam_permit.so
password	required	pam_deny.so
session	optional	pam_xauth.so
EOF

%__install -d %buildroot%_sysconfdir/security/console.apps/
cat>%buildroot%_sysconfdir/security/console.apps/$obj<<EOF
USER=root
PROGRAM=%_sbindir/$obj
SESSION=true
FALLBACK=true
EOF

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%_bindir/*
%_sbindir/*
%_altdata_dir/maps/*
%_altdata_dir/ui/*/
%_alterator_backenddir/*
%_menudir/*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png

%changelog
* Wed Oct 19 2005 Stanislav Ievlev <inger@altlinux.org> 0.1.2.2-alt5
- added icons

* Mon Sep 12 2005 Stanislav Ievlev <inger@altlinux.org> 0.1.2.2-alt4
- remove acc hook

* Wed Aug 31 2005 Stanislav Ievlev <inger@altlinux.org> 0.1.2.2-alt3
- use generic make templates

* Mon Aug 01 2005 Stanislav Ievlev <inger@altlinux.org> 0.1.2.2-alt2
- Belarusian translation

* Wed Jul 20 2005 Stanislav Ievlev <inger@altlinux.org> 0.1.2.2-alt1
- updates

* Thu Jul 07 2005 Stanislav Ievlev <inger@altlinux.org> 0.1.2.1-alt1
- modernization

* Tue Jul 05 2005 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt1
- new version;

* Fri Jul 01 2005 Alexey Gladkov <legion@altlinux.ru> 0.1.1-alt1
- translation bugfix.
- minor bugfix.

* Thu Jun 30 2005 Alexey Gladkov <legion@altlinux.ru> 0.1-alt1
- Initial release
